## boinc 6.10.58+dfsg

=== samples/example_app/Makefile ===
--- 
+++ 
@@ -9,8 +9,6 @@
     -I$(BOINC_DIR) \
     -I$(BOINC_LIB_DIR) \
     -I$(BOINC_API_DIR) \
-    -L$(BOINC_API_DIR) \
-    -L$(BOINC_LIB_DIR) \
     -L /usr/X11R6/lib \
     -L.
 
@@ -37,16 +35,25 @@
 	ln -s `g++ -print-file-name=libstdc++.a`
 
 clean:
-	/bin/rm -f $(PROGS) *.o
+	/bin/rm -f $(PROGS) *.o libstdc++.a
 
 distclean:
 	/bin/rm -f $(PROGS) *.o libstdc++.a
 
+install: uc2
+
+# specify library paths explicitly (rather than -l)
+# because otherwise you might get a version in /usr/lib etc.
+
 uc2: uc2.o libstdc++.a $(BOINC_API_DIR)/libboinc_api.a $(BOINC_LIB_DIR)/libboinc.a
-	$(CXX) $(CXXFLAGS) -o uc2 uc2.o libstdc++.a -pthread -lboinc_api -lboinc
+	$(CXX) $(CXXFLAGS) -o uc2 uc2.o libstdc++.a -pthread \
+	$(BOINC_API_DIR)/libboinc_api.a \
+	$(BOINC_LIB_DIR)/libboinc.a
 
 uc2_graphics: uc2_graphics.o libstdc++.a $(BOINC_LIB_DIR)/libboinc.a $(BOINC_API_DIR)/libboinc_graphics2.a
 	$(CXX) $(CXXFLAGS) -o uc2_graphics uc2_graphics.o libstdc++.a -pthread \
-    -lboinc_graphics2 -lboinc_api -lboinc \
+	$(BOINC_API_DIR)/libboinc_graphics2.a \
+	$(BOINC_API_DIR)/libboinc_api.a \
+	$(BOINC_LIB_DIR)/libboinc.a \
     $(LIBGLUT) $(LIBGLU) $(LIBJPEG) \
     -lGL -lX11 -lXmu -lm
