=== debian/changelog ===
boinc (6.10.58+dfsg-3) unstable; urgency=low

  [ Steffen Moeller ]
  * Bumped policy to 3.9.1.0
  * Added the first graphical libraries as suggested
    dependencies of the boinc-manager package.

  [ Daniel Hahler ]
  * debian/boinc-client.init: wait until BOINC has ended for "stop"
    action. This fixes the post-removal script to be run too early,
    when the system user might be still logged in and cannot be
    deleted (LP: #583434). It also fixes the "restart" action.
  * debian/boinc-client.init: schedule: do not fail if chrt fails
    (LP: #629649).

 -- Daniel Hahler <ubuntu@thequod.de>  Sun, 19 Sep 2010 00:18:08 +0200

boinc (6.10.58+dfsg-2) unstable; urgency=low

  [ Daniel Hahler ]
  * Use chrt instead of schedtool (LP: #527639)
    - debian/control, debian/boinc-client.init
  [ Steffen Moeller ]
  * Removed from source tree for DFSG compliance
    - samples/glut
  * Adopted source format 3.0 (quilt)

 -- Daniel Hahler <ubuntu@thequod.de>  Sat, 17 Jul 2010 22:08:09 +0200

boinc (6.10.58+dfsg-1) unstable; urgency=low

  [ Steffen Moeller ]
  * Adopted Daniel's changes for Debian, added him to
    uploaders.
  * Allowed DM-Upload (for Daniel)
  * Eye candy in debian/README* and debian/po*
  * Updated my email address
  * Update standards-version to 3.9.0 (No changes needed)

  [ Daniel Hahler ]
  * Refresh patches, especially 006_correct_catalog_path.patch
  * New upstream release
  * Check that files exist on which we tweak permissions
    during post-installation
  * Bump build-depend on debhelper to install udev rules into
    /lib/udev/rules.d, add Breaks on udev to get correct version.
  * Provide meta package "boinc", which depends on boinc-client and
     boinc-manager.
  * debian/control: libmysqlclient15-dev -> libmysqlclient-dev

  [ Rene Mayorga ]
  * Set the correct distribution (unstable).
  * Trim some Ubuntu's specific changelog entries and merge all 
    last Daniel's changes on this changelog enty.
  * Install coproc.h and cal.h as port of boinc-dev pacakage

 -- Rene Mayorga <rmayorga@debian.org>  Tue, 13 Jul 2010 18:58:58 -0600

boinc (6.10.17+dfsg-3) unstable; urgency=low

  * Ignore errors when setting oom_adj for boinc client,
    Thanks to Gábor Gombás <gombasg@sztaki.hu> for the bug report
    and the hint for the solution. (Closes: #559053)
  * Fix str_replace.h installation path on boinc-dev package

 -- Rene Mayorga <rmayorga@debian.org>  Fri, 15 Jan 2010 19:34:46 -0600

boinc (6.10.17+dfsg-2ubuntu2) lucid; urgency=low

  * Install str_replace.h to /usr/include/boinc, not its subdirectory.

 -- Ilya Barygin <barygin@gmail.com>  Tue, 26 Jan 2010 14:05:12 +0300

boinc (6.10.17+dfsg-2) unstable; urgency=low

  * debian/control: remove kboincspy from boinc-client Suggest
  * include config.h on -dev package (Closes: #556816)
  * clean-up broken links on boinc-dev
  * install str_replace.h instead of std_fixes.h on -dev package.

 -- Rene Mayorga <rmayorga@debian.org>  Wed, 18 Nov 2009 19:04:45 -0600

boinc (6.10.17+dfsg-1) unstable; urgency=low

  * New upstream release (Closes: #553998)
    + better support for dark themes (Closes: #512508)
    + The -s (system tray option) was removed on upstream (Closes: #464192)
    + Better handling for WU over deadline - upstream 
      changeset 17399 (Closes: #513884)
  * debian/patches
    + 003_use_sensible-browser.patch updated
    + 006_correct_catalog_path.patch - refreshed
    + 005_using_hyphen_as_minus.patch removed - Applied upstream
    + 101_check_RSA_returned_values.patch  - Removed - Applied upstream
    + 102_gcc4.4_safe.patch Removed - Applied upstream
    + 006_correct_catalog_path.patch - updated
    + 002_remove_hardcoded_optimization.patch  Removed, not needed anymore
    + 004_exclude_sea.patch - Removed - not needed anymore
    + 001_dont_install_ca-bundle.crt.patch Removed not needed anymore
    + 200__don-t-assume_SCHED_BATCH_exist.patch - Added to Prevent FTBFS
      on kfreebsd
  * debian/copyright 
    + zip/zip and zip/unzip references removed
  * debian/rules
    + Adjust fix-perm for catalog files
  * use omm_adj to prevent boinc use all the system resources (Closes: #534418)
  * debian/control: Add libsqlite3-dev to B-D

 -- Rene Mayorga <rmayorga@debian.org>  Mon, 02 Nov 2009 14:44:14 -0600

boinc (6.4.5+dfsg-3) unstable; urgency=low

  * Fix FTBFS on GNU/kFreeBSD, thanks to Cyril Brulebois and
    Petr Salinger for the bug report and patch (Closes: #544070)
  * Standards-Version set to 3.8.3 (No changes needed)
  * Use dversionmangle on debian/watch
  * debian/copyright: point to LGPL-2/GPL-2 instead of LGPL/GPL

 -- Rene Mayorga <rmayorga@debian.org>  Sat, 05 Sep 2009 18:24:45 -0600

boinc (6.4.5+dfsg-2ubuntu2) karmic; urgency=low

  * Fix FTBFS, added 103_include_config_h.patch, use system functions
    when available (LP: #447933)

 -- Joao Pinto <joao.pinto@getdeb.net>  Sat, 10 Oct 2009 11:42:30 +0100

boinc (6.4.5+dfsg-2) unstable; urgency=low

  * Uploaded to unstable
  * Include a patch picked from Upstream SVN
     to avoid FTBFSs whith gcc 4.4 (Closes: #526666)
  * remove CUDA dir that contais binary-only non DFSG software
  * change section from boinc-dbg to debug
  * set orig +dfsg since we remove non-dfsg software 
    when we pull the tag from upstream
    + Add Comments about this on README.Source
  * Move schedtool to Recommends, (Closes: #532133)
  * Add ru debconf templates translation, thanks
    to Yuri Kozlov <yuray@komyakino.ru> (Closes: #531205)

 -- Rene Mayorga <rmayorga@debian.org>  Sat, 23 May 2009 13:29:17 -0600

boinc (6.4.5-1ubuntu1) karmic; urgency=low

  * Merge from debian experimental (LP: #311107), remaining changes:
    - Bump build-depend on debhelper to install udev rules into
      /lib/udev/rules.d, add Breaks on udev to get correct version.
  * Provide meta package "boinc", which depends on boinc-client and
    boinc-manager (LP: #226612).
  * Add debian/patches/102_wxPanel_instead_wxControl_r17501.patch,

