=== debian/control ===
Source: boinc
Section: net
Priority: optional
Maintainer: Debian BOINC Maintainers <pkg-boinc-devel@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>, 
 Christoph Martin <christoph.martin@uni-mainz.de>,
 Rene Mayorga <rmayorga@debian.org>,
 Daniel Hahler <ubuntu@thequod.de>
DM-Upload-Allowed: yes
Standards-Version: 3.9.1.0
Build-Depends: debhelper (>= 7.0.17ubuntu2), po-debconf, dh-buildinfo,
 docbook2x, docbook-xml, autotools-dev, automake1.9 (>= 1.9.3),
 autoconf (>= 2.59), libxml2-utils, gettext, zlib1g-dev, libssl-dev,
 libcurl4-openssl-dev (>= 7.17.1), freeglut3-dev, libsm-dev, libice-dev,
 libxmu-dev, libxi-dev, libx11-dev, libjpeg62-dev, libwxgtk2.8-dev,
 libsqlite3-dev
Homepage: http://boinc.berkeley.edu/
Vcs-Git: git://git.debian.org/git/pkg-boinc/boinc.git
Vcs-Browser: http://git.debian.org/?p=pkg-boinc/boinc.git

Package: boinc
Architecture: any
Depends: boinc-client, boinc-manager, ${misc:Depends}
Description: metapackage for the BOINC client and the manager
 The Berkeley Open Infrastructure for Network Computing (BOINC) is a
 software platform for distributed computing: several initiatives of
 various scientific disciplines all compete for the idle time of
 desktop computers. The developers' web site at the University of
 Berkeley serves as a common portal to the otherwise independently run
 projects.
 .
 This package depends both on the BOINC core client program that is
 required to participate in any project that uses BOINC, and the
 BOINC Manager, a graphical monitor and control utility for the
 BOINC core client.

Package: boinc-client
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python (>= 2.3), adduser,
 lsb-base (>= 3.0-6), ca-certificates
Suggests: boinc-app-seti, boinc-manager
Breaks: udev (<< 136-1)
Description: core client for the BOINC distributed computing infrastructure
 The Berkeley Open Infrastructure for Network Computing (BOINC) is a
 software platform for distributed computing: several initiatives of
 various scientific disciplines all compete for the idle time of
 desktop computers. The developers' web site at the University of
 Berkeley serves as a common portal to the otherwise independently run
 projects.
 .
 This package contains the BOINC core client program that is required
 to participate in any project that uses BOINC. A central server
 distributes work units and collects results via this client. When
 attaching a local machine to a project, this client will also
 dynamically download the projects application's program to be then
 wrapped by the BOINC core client.

Package: boinc-manager
Section: x11
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: boinc-client
Suggests: libgl1-mesa-glx, libxt6
Description: GUI to control and monitor the BOINC core client
 The Berkeley Open Infrastructure for Network Computing (BOINC) is a
 software platform for distributed computing using volunteered computer
 resources.
 .
 This package contains the BOINC Manager, a graphical monitor and
 control utility for the BOINC core client. It gives a detailed
 overview of the state of the client it is monitoring, for example it
 shows attached projects, running tasks or file transfers between the
 client and project servers. It also shows statistics about granted
 credits and disk usage of the client and the projects. The BOINC
 Manager has two modes of operation, the "Simple View" in which it only
 displays the most important information and the "Advanced View" in
 which all information and all control elements are available.
 .
 For active participation in any BOINC project the recommended
 boinc-client package, not the boinc-manager, is required for every
 machine contributing.

Package: boinc-dev
Section: devel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libc6-dev | libc-dev,
 libstdc++6-4.3-dev | libstdc++-dev, libssl-dev, libmysqlclient-dev
Description: development files to build applications for BOINC projects
 The Berkeley Open Infrastructure for Network Computing (BOINC) is a
 software platform for distributed computing using volunteered computer
 resources.
 .
 This package contains header files and static libraries that are
 needed to develop and compile applications which utilizes the BOINC
 infrastructure.

Package: boinc-dbg
Section: debug
Priority: extra
Architecture: any
Depends: boinc-client (= ${binary:Version}) | boinc-manager (= ${binary:Version}), ${misc:Depends}
Suggests: libcurl3-dbg, libssl0.9.8-dbg, libwxgtk2.8-dbg
Description: debugging symbols for BOINC binaries
 The Berkeley Open Infrastructure for Network Computing (BOINC) is a
 software platform for distributed computing using volunteered computer
 resources.
 .
 This package contains unstripped versions of all binaries included in
 the BOINC packages. It is provided primarily to provide a backtrace
 with names in a debugger, this makes it somewhat easier to interpret
 core dumps.
