=== debian/watch ===
version=3
opts="dversionmangle=s/\./_/g;s/\+dfsg//,uversionmangle=s/\///" \
  http://boinc.berkeley.edu/svn/tags/boinc_core_release_(\d+_\d*[13579]_.*)
