## boinc 6.10.59+dfsg

=== debian/changelog ===
boinc (6.10.59+dfsg-0ubuntu1) natty; urgency=low

  * New upstream bugfix release.
    This fixes a segfault in "Attach to project" (LP: #714586).
  * The orig.tar.gz has been generated with the latest version of
    export-boinc from git://git.debian.org/git/pkg-boinc/boinc.git for DFSG
    compliance. Thanks Steffen Moeller.

 -- Daniel Hahler <ubuntu@thequod.de>  Tue, 22 Mar 2011 22:33:11 +0100
