=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: boinc
 Section: net
 Priority: optional
-Maintainer: Debian BOINC Maintainers <pkg-boinc-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian BOINC Maintainers <pkg-boinc-devel@lists.alioth.debian.org>
 Uploaders: Steffen Moeller <moeller@debian.org>, 
  Christoph Martin <christoph.martin@uni-mainz.de>,
  Rene Mayorga <rmayorga@debian.org>,
